Issue with download manager and Market Inquirer OXP

For test results, bug reports, announcements of new builds etc.

Moderators: winston, another_commander, Getafix

Post Reply
User avatar
phkb
Commodore
Commodore
Posts: 2433
Joined: Tue Jan 21, 2014 10:37 pm
Location: [p]laying [h]ard and [k]icking [b]utt somewhere in G7...

Issue with download manager and Market Inquirer OXP

Post by phkb » Mon May 18, 2015 4:35 am

Not sure if this is a bug or a feature...

Image
In this image, notice there are two Market Inquirer items, the installed 1.12 version for this version of Oolite, plus another one for the previous version of Oolite, which says it's installed, but at version 1.12 while the available version is 1.10.1. I've only got one version installed.

Image
In this image, I've turned on the "List installed expansion packs" option. The "Market Inquirer" items have been reduced to 1, highlighed in blue, and when I select it, it says "This item is no longer available for download".

Not sure if the bug is in the Market Enquirer manifest files, or in the Download managers handling of multiple entries for different versions of Oolite.

User avatar
cim
Quite Grand Sub-Admiral
Quite Grand Sub-Admiral
Posts: 4018
Joined: Fri Nov 11, 2011 6:19 pm

Re: Issue with download manager and Market Inquirer OXP

Post by cim » Mon May 18, 2015 5:42 am

The first one looks correct - you have two versions available, one of which is not installable, and your current version is 1.12 either way. The second one should be reporting as white with 1.12 available - I'll see what can be done about that.

User avatar
phkb
Commodore
Commodore
Posts: 2433
Joined: Tue Jan 21, 2014 10:37 pm
Location: [p]laying [h]ard and [k]icking [b]utt somewhere in G7...

Re: Issue with download manager and Market Inquirer OXP

Post by phkb » Mon May 18, 2015 5:44 am

In the first one, I only have one version installed, version 1.12, for Oolite 1.82. Shouldn't the "installed" entry on the second one show as blank?

User avatar
cim
Quite Grand Sub-Admiral
Quite Grand Sub-Admiral
Posts: 4018
Joined: Fri Nov 11, 2011 6:19 pm

Re: Issue with download manager and Market Inquirer OXP

Post by cim » Mon May 18, 2015 5:59 am

phkb wrote:In the first one, I only have one version installed, version 1.12, for Oolite 1.82. Shouldn't the "installed" entry on the second one show as blank?
If you had just the second entry in the manager, it should definitely show as 1.12 installed, 1.10.1 available. I don't think adding the first entry should change that.

User avatar
phkb
Commodore
Commodore
Posts: 2433
Joined: Tue Jan 21, 2014 10:37 pm
Location: [p]laying [h]ard and [k]icking [b]utt somewhere in G7...

Re: Issue with download manager and Market Inquirer OXP

Post by phkb » Mon May 18, 2015 6:36 am

I have Market Inquirer version 1.12, which in it's manifest has a minimum oolite version of 1.81. Should that exclude it from being compared to the version for 1.80 (1.10.1)?

Zireael
---- E L I T E ----
---- E L I T E ----
Posts: 1396
Joined: Tue Nov 09, 2010 1:44 pm

Re: Issue with download manager and Market Inquirer OXP

Post by Zireael » Mon May 18, 2015 12:28 pm

I have Market Inquirer 1.12 and I'm seeing the blue text, too.
That said, I think it affects Market Observer, too.

User avatar
cim
Quite Grand Sub-Admiral
Quite Grand Sub-Admiral
Posts: 4018
Joined: Fri Nov 11, 2011 6:19 pm

Re: Issue with download manager and Market Inquirer OXP

Post by cim » Mon May 18, 2015 4:43 pm

cim wrote:The second one should be reporting as white with 1.12 available - I'll see what can be done about that.
Should be fixed in tonight's build - the way it was calculating the available version wasn't correct.

Post Reply